Bug 180161 - Re-enabling an IDE channel doesn't allow DMA transfers.
Re-enabling an IDE channel doesn't allow DMA transfers.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2006-02-06 09:31 EST by Steven Haigh
Modified: 2013-07-02 22:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 21:09:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
idectl script. (807 bytes, text/plain)
2006-02-06 09:31 EST, Steven Haigh
no flags Details

  None (edit)
Description Steven Haigh 2006-02-06 09:31:53 EST
Description of problem:
When setting up IDE hotswap for my Dell Inspiron laptop, I use a script to
disable the secondary IDE controller (as only the DVD drive uses it). When you
boot the system, DMA mode is automatically set for /dev/hdc (the DVD drive).
After disabling the controller, removing the drive, reinserting the drive then
re-enabling the secondary IDE controller, DMA mode is not available - not is it
settable. This means that the drive remains in PIO mode - which kills performance.

Version-Release number of selected component (if applicable):
seems to be all version of the kernel - however I can't test the latest rawhide
builds due to bug #179714. I'm currently running 2.6.15-1.1824_FC4

How reproducible: Every time.


Steps to Reproduce:
1. Obtain the attached idectl script.
2. Get a DVD drive in a laptop that is hot-swapable.
3. Check DMA is enabled via 'hdparm -v /dev/hdc'
4. Run 'idectl 1 off' to disable the secondary IDE controller
5. Remove and re-insert the drive - give it time to power up.
6. Run 'idectl 1 on' to re-enable the drive.
7. verify lack of DMA via 'hdparm -v /dev/hdc'
8. try to set DMA on using 'hdparm -d1 /dev/hdc' - notice error.
  
Actual results:
DMA is not available on the newly detected drive.

Expected results:
I would hope DMA would be available.

Additional info:
Comment 1 Steven Haigh 2006-02-06 09:31:53 EST
Created attachment 124256 [details]
idectl script.
Comment 2 Dave Jones 2006-10-16 13:35:18 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Steven Haigh 2006-10-24 10:20:28 EDT
This still occurs. I believe it will require major work in the IDE portions of
the kernel to make ide hot swap to actually work - let alone performance tweaks
to make it run correctly.
Comment 4 Dave Jones 2006-11-20 16:15:22 EST
That's not going to realistically happen until FC7 when we switch over to use
libata for both PATA and SATA.  I'm incredibly nervous about backporting those
changes to existing releases.
Comment 5 petrosyan 2008-03-10 20:18:45 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 6 Steven Haigh 2008-03-10 21:05:41 EDT
I'm not too sure. I haven't had this laptop in well over a year now. I also
can't check on any of my current equipment as I don't have any systems with
/dev/hdx - everything is SATA now.

If someone could test this, it would be great, however I don't have that
capability anymore.

Note You need to log in before you can comment on or make changes to this bug.